{ genodepkgs ? ../default.nix
, nixpkgs ? import ../nixpkgs.nix
, solo5PullRequests
}:

let
  pkgs = import nixpkgs { };

  mkJobSet = { description, nixexprpath, inputs }: {
    inherit description nixexprpath inputs;
    enabled = 1;
    hidden = false;
    nixexprinput = "genodepkgs";
    checkinterval = 300;
    schedulingshares = 100;
    enableemail = false;
    emailoverride = "";
    keepnr = 8;
  };

  solo5 = import ./solo5-jobs.nix { pullRequests = solo5PullRequests; };

  jobsets = ({

    trunk = mkJobSet {
      description = "Genodepkgs master branch";
      nixexprpath = "release.nix";
      inputs = {

        dhall-haskell = {
          type = "git";
          value = "https://github.com/dhall-lang/dhall-haskell.git master";
          emailresponsible = false;
        };

        dhallNixpkgsStaticLinux = {
          type = "git";
          value =
            "https://github.com/nh2/nixpkgs.git 925aac04f4ca58aceb83beef18cb7dae0715421b";
          emailresponsible = false;
        };

        dhallNixpkgs = {
          type = "git";
          value =
            "https://gitea.c3d2.de/ehmry/nixpkgs.git 1d4de0d552ae9aa66a5b8dee5fb0650a4372d148";
          emailresponsible = false;
        };

        genodepkgs = {
          type = "git";
          value = "https://gitea.c3d2.de/ehmry/genodepkgs.git master";
          emailresponsible = false;
        };

        nixpkgs = {
          type = "git";
          value = "https://gitea.c3d2.de/ehmry/nixpkgs.git hybrid-19.09";
          emailresponsible = false;
        };

        nim-overlay = {
          type = "git";
          value = "https://git.sr.ht/~ehmry/nim-overlay";
          emailresponsible = false;
        };

      };
    };

  } // solo5);

in { jobsets = pkgs.writeText "jobsets.json" (builtins.toJSON jobsets); }
