# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

{ pullRequests }:

with builtins;

let
  pullRequests' = fromJSON (readFile pullRequests);

  prToJob = pr:
    {
      name = "solo5-${toString pr.number}";
      value = {

        description = pr.title;
        nixexprpath = "hydra/solo5.nix";
        enabled = 1;
        hidden = false;
        nixexprinput = "genodepkgs";
        checkinterval = 300;
        schedulingshares = 100;
        enableemail = false;
        emailoverride = "";
        keepnr = 8;

        inputs = {

          prSrc = {
            type = "git";
            value = "${pr.head.repo.clone_url} ${pr.head.ref}";
            emailresponsible = false;
          };

          genodepkgs = {
            type = "git";
            value = "https://gitea.c3d2.de/ehmry/genodepkgs.git master";
            emailresponsible = false;
          };

          nixpkgs = {
            type = "git";
            value = "https://gitea.c3d2.de/ehmry/nixpkgs.git hybrid-19.09";
            emailresponsible = false;
          };

          nim-overlay = {
            type = "git";
            value = "https://git.sr.ht/~ehmry/nim-overlay";
            emailresponsible = false;
          };

        };

      };
    };

  jobs = map prToJob (attrValues pullRequests');

in listToAttrs jobs
